Subject: Re: [PATCH V2 1/3] wt-status: replace uses of the_repository with local repository instances

From: Phillip Wood <[email-masked]>
Date: Thu, 5 Feb 2026 16:08:25 +0000

On 05/02/2026 12:18, Shreyansh Paliwal wrote:
>>
>> One question, did you run the entire test suite with these changes? I
>> would hope that we have tests which would fail if my inference is
>> correct. If not, there's a gap in our tests too.
> 
> You’re right, I hadn’t run the tests initially, as I assumed
> this was a refactor-only change.

The whole point of regression tests is to check that refactors do not 
change the behavior. If you have an account on github or gitlab there 
are some instructions for setting the up the CI to run when you push in 
Documentation/SumbittingPatches.

Thanks

Phillip

> 
> After running the tests, I do see failures, which confirms the issue.
> I’ll make sure to always run the tests before sending a patch going
> forward.
> 
> Thanks for pointing this out :)
>